SpeciesOccursumFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum SpeciesOccursumFields

    java.lang.Object
      java.lang.Enum<SpeciesOccursumFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.SpeciesOccursumFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SpeciesOccursumFields>

    public enum SpeciesOccursumFields

extends java.lang.Enum<SpeciesOccursumFields>

Enum Constant Summary
`algae`
`angling`
`authname`
`classcolumn`
`dangerous`
`database_id`
`deepwater`
`diving`
`english_name`
`entered`
`familycolumn`
`fbname`
`french_name`
`freshwater`
`genus`
`internalid`
`iscaap`
`kingdom`
`m_invertebrates`
`m_mammals`
`map_beforeafter`
`map_seasonal`
`no_of_cells_0`
`no_of_cells_3`
`no_of_cells_5`
`occurcells`
`occurrecs`
`ordercolumn`
`phylum`
`pic_source_url`
`picname`
`scientific_name`
`seabirds`
`spanish_name`
`speccode`
`species`
`speciesid`
`taxocode`
`timestampcolumn`
`total_native_csc_cnt`
`with_gt_66`
`with_gte_5`
`with_gte_6`

Method Summary
`static SpeciesOccursumFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SpeciesOccursumFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### genus

    public static final SpeciesOccursumFields genus

### species

    public static final SpeciesOccursumFields species

### fbname

    public static final SpeciesOccursumFields fbname

### speccode

    public static final SpeciesOccursumFields speccode

### occurrecs

    public static final SpeciesOccursumFields occurrecs

### occurcells

    public static final SpeciesOccursumFields occurcells

### speciesid

    public static final SpeciesOccursumFields speciesid

### kingdom

    public static final SpeciesOccursumFields kingdom

### phylum

    public static final SpeciesOccursumFields phylum

### classcolumn

    public static final SpeciesOccursumFields classcolumn

### ordercolumn

    public static final SpeciesOccursumFields ordercolumn

### familycolumn

    public static final SpeciesOccursumFields familycolumn

### map_beforeafter

    public static final SpeciesOccursumFields map_beforeafter

### map_seasonal

    public static final SpeciesOccursumFields map_seasonal

### with_gte_5

    public static final SpeciesOccursumFields with_gte_5

### with_gte_6

    public static final SpeciesOccursumFields with_gte_6

### with_gt_66

    public static final SpeciesOccursumFields with_gt_66

### no_of_cells_3

    public static final SpeciesOccursumFields no_of_cells_3

### no_of_cells_5

    public static final SpeciesOccursumFields no_of_cells_5

### no_of_cells_0

    public static final SpeciesOccursumFields no_of_cells_0

### database_id

    public static final SpeciesOccursumFields database_id

### picname

    public static final SpeciesOccursumFields picname

### authname

    public static final SpeciesOccursumFields authname

### entered

    public static final SpeciesOccursumFields entered

### total_native_csc_cnt

    public static final SpeciesOccursumFields total_native_csc_cnt

### deepwater

    public static final SpeciesOccursumFields deepwater

### m_mammals

    public static final SpeciesOccursumFields m_mammals

### angling

    public static final SpeciesOccursumFields angling

### diving

    public static final SpeciesOccursumFields diving

### dangerous

    public static final SpeciesOccursumFields dangerous

### m_invertebrates

    public static final SpeciesOccursumFields m_invertebrates

### algae

    public static final SpeciesOccursumFields algae

### seabirds

    public static final SpeciesOccursumFields seabirds

### timestampcolumn

    public static final SpeciesOccursumFields timestampcolumn

### pic_source_url

    public static final SpeciesOccursumFields pic_source_url

### freshwater

    public static final SpeciesOccursumFields freshwater

### scientific_name

    public static final SpeciesOccursumFields scientific_name

### english_name

    public static final SpeciesOccursumFields english_name

### french_name

    public static final SpeciesOccursumFields french_name

### spanish_name

    public static final SpeciesOccursumFields spanish_name

### iscaap

    public static final SpeciesOccursumFields iscaap

### taxocode

    public static final SpeciesOccursumFields taxocode

### internalid

    public static final SpeciesOccursumFields internalid

Method Detail

### values

    public static SpeciesOccursumFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpeciesOccursumFields c : SpeciesOccursumFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpeciesOccursumFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD